### SetLocal

Category

Flow Control

Function

Places an object in the cache.

Syntax

    SetLocal(object, link);

Inputs

Name | Type | Default | Description
--- | --- | --- | ---
`object` | object | no default | object to be cached
`link` | string | no default | link to corresponding GetLocal module

Functional Details

This module works with GetLocal to place and retrieve objects from the cache: SetLocal places an `object` in the cache, where GetLocal can retrieve it. SetLocal should always be used with GetLocal, not with GetGlobal.

Note: The corresponding GetLocal module must be executed on the same machine (i.e., it cannot be distributed to another machine). See GetGlobal and GetLocal for a discussion of the differences between the Global Get/Set pair and the Local Get/Set pair.

`object` | is the object to be placed in the cache.
`link` | specifies the GetLocal module that corresponds to the SetLocal module. In the VPE, this link would be created by dragging an arc from the `link` output of GetLocal to the `link` input of SetLocal.

A detailed description of the behavior and use of the GetLocal, GetGlobal, SetLocal, and SetGlobal modules can be found in 4.6 , "Preserving Explicit State" in IBM Visualization Data Explorer User's Guide.

Example Visual Programs

    Accumulate.net
    Bounce.net
    SimpleGetSetLoop.net

See Also

GetLocal, GetGlobal, SetGlobal

Chapter 4. "Data Explorer Execution Model" in IBM Visualization Data Explorer User's Guide.

[ OpenDX Home at IBM | OpenDX.org ]